Skip to main content
Webhooks

List all webhook events

The delivery log for your webhook endpoints: one entry per delivery attempt, with the outcome. Use include=payload to include the delivered payload in each event.

GET
/webhooks/events
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

page[size]integerquerydefault:25

The number of results that will be returned per page.

page[number]integerquery

The page number to start the pagination from.

filter[id]stringquery

Only the event with the given ID.

sortenum<string>[]querydefault:["-id"]
includeenum<string>[]query
filter[event_type]enum<string>query

Only events of the given event type.

Available options: transactions.created, transactions.updated, balance.updated, holdings.updated, account.created, account.updated, account.deleted, bank_account.created, bank_account.updated, bank_account.deleted, connection.created, connection.activated, connection.reauthorized, connection.expiring, connection.expired, connection.failing, connection.recovered, connection.disabled, connection.deleted, portal.user.verified
filter[webhook_endpoint_id]integerquery

Only events delivered to the given webhook endpoint.

filter[success]booleanquery

Only successful (true) or failed (false) deliveries.

filter[status_code]integerquery

Only deliveries that received the given HTTP status code.

Response

application/json

Paginated set of WebhookEventResource

dataobject[]required
metaobjectrequired